Subject: bug#6303: Acknowledgement (23.2; Win32 Antialiased fonts)

From: Juanma Barranquero <[email-masked]>
Date: Tue, 29 Jun 2010 11:38:14 +0200

On Tue, Jun 29, 2010 at 11:28, Damyan Pepper <[email-masked]> wrote:

> I haven't.

Well, then I recommend you do (assuming you're not philosophically or
legally unable to do it), because we need them to accept contributions
larger than about 10 significant lines.

> I arranged for the code to be very similar to the code in ftfont.c -
> it's pretty much a copy with some renamings and a different list of
> properties.

Oh, I see. I didn't look at the ftfont.c code; but if it is like so,
it's a bit obscure IMHO.

> I'm happy to try and do the refactor myself - perhaps moving the
> generic version of w32font_filter_properties/ftfont_filter_properties
> into font.h/font.c?  At that point I'd be happier about doing a pass
> through to clear up any logic in there.

Send the refactored patch, so we don't need to test two different ones.

    Juanma